<?php
include_once('php/php_headers.php');
if($_SESSION['ekdhlos_level']<>0){header('Location: insert_messages.php');}
session_null('insert_devices');
$scripts = '<script src="js/formfunctions.js" type="text/javascript"></script>';
html_header('Είσαγωγή συσκευής',$scripts);
$ip=$no_ip=$no_pass=$pass=$no_pass2=$pass2=$msg=$group1=$group2=$group3=$group4=$group5=$group6=$group7=$group8=$status2=null;
$no_group1=$no_group2=$no_group3=$no_group4=$no_group5=$no_group6=$no_group7=$no_group8=null;
$status1=$vis1 = "checked"; $vis2 = "";
$user = get_users("","insert");
if($user){
	if(isset($_POST['submit'])){	
		$user = get_users($_POST['typem'],"insert");
		$insert1=$insert2=$insert3=false;
		$ip	   = clean($_POST['ip']);
		$pass  = clean($_POST['pass']);
		$pass2  = clean($_POST['pass2']);
		
		if(!isset($_POST['ip']) || empty($_POST['ip'])) $no_ip = '<h3 class="triangle-border left more_top">Το id της συσκευής απαιτείται!</h3>';
		else if($_POST['ip'] == get('id','device','id',$_POST['ip'],'one')) $no_ip = '<h3 class="triangle-border left more_top">Το id υπάρχει ήδη!</h3>';
		else if (strstr($_POST['ip'], ',') !== false)  $no_ip = '<h3 class="triangle-border left more_top">Ο χαρακτήρας " , " δεν επιτρέπεται!</h3>';
		else if(mb_strlen($_POST['ip'], 'UTF-8') <2) $no_ip = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['ip'], 'UTF-8') >=20) $no_ip = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
		else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['ip']))$no_ip = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
		else $insert1 = true;	
		
			
		if(!isset($_POST['pass'] ) || empty($_POST['pass'] )) $no_pass = '<h3 class="triangle-border left more_top">Το password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass'],ENCODING)<5) $no_pass = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else $insert2 = true;
		
		if(!isset($_POST['pass2'] ) || empty($_POST['pass2'] )) $no_pass2 = '<h3 class="triangle-border left more_top">Η επιβεβαίωση password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass2'],ENCODING)<5) $no_pass2 = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else if(isset($_POST['pass']) && ($_POST['pass'] != $_POST['pass2'])) $no_pass2 = '<h3 class="triangle-border left more_top">Τα password δεν ταιριάζουν!</h3>';
		else $insert3 = true;
		
		if($insert1 && $insert2 && $insert3){
			if (insert('device',$ip,"private",sha1($pass.'ekdhlos'),"yes",$_POST['typem'])){ 
				$msg = '<div id="msg_ok">Η εισαγωγή έγινε με επιτυχία!</div><br />'; 
				$pass=$pass2=$ip=null;
				echo "<script>setTimeout('window.location.href=\"insert_devices.php\"', 2000)</script>";
			}
			else $msg = '<div id="msg_error">Σφάλμα κατά την εισαγωγή!</div><br />';
		}
	}	
/* tools */
echo '<div id="tools6">
	<a href="insert_devices.php" title="Εισαγωγή συσκευής"><img alt="Εισαγωγή συσκευής" src="images/icon-insert-big.png" /></a>
	<a href="edit_devices.php" title="Επεξεργασία συσκευής"><img alt="Επεξεργασία συσκευής" src="images/Write2.png" /></a>
	<a href="insert_groups.php" title="Εισαγωγή ομάδας"><img alt="Εισαγωγή ομάδας" src="images/icon-insert-big.png" /></a>
	<a href="edit_groups.php" title="Επεξεργασία ομάδας"><img alt="Επεξεργασία ομάδας" src="images/Write2.png" /></a></div>';
	echo '<h1 class="center">Εισαγωγή νέας συσκευής</h1><hr /><br />';
	$form = '
	<form method="post" accept-charset="utf-8" class="more_left_8 width">
		<ol class="hh2">
			<li><label for="field1">Id συσκευής:</label></li>
			<li><input type="text" id="field1" onkeyup="id_validator(); pass1_validator_d(); pass2_validator_d();" class="field" name="ip" value="'.$ip.'" required/></li>
			<li id="f_msg">'.$no_ip.'</li>
		</ol>
		<ol class="hh2">
			<li><label for="field4">Password:</label></li>
			<li><input type="password" onkeyup="id_validator(); pass1_validator_d(); pass2_validator_d();" id="field4" class="field" name="pass" value="'.$pass.'" required/></li>
			<li id="p1_msg">'.$no_pass.'</li>
		</ol>
		<ol class="hh2">
			<li><label for="field5">Επιβεβαίωση:</label></li>
			<li><input type="password" onkeyup="id_validator(); pass1_validator_d(); pass2_validator_d();" class="field" id="field5" name="pass2" value="'.$pass2.'" required/></li>
			<li id="p2_msg">'.$no_pass2.'</li>
		</ol>
		<ol class="hh2">
			<li><label for="field6">Χρήστης:</label></li>
			<li><select id="field6" onclick="id_validator(); pass1_validator_d(); pass2_validator_d();" class="drop" name="typem">'.$user.'</select></li>
		</ol>
<input type="submit" name="submit" onclick="checkall_d(); id_validator(); pass1_validator_d(); pass2_validator_d();" id="submit" class="disable" value="Εισαγωγή">
	'.$msg.'</form>';
	echo $form;
}
else {
	echo '<br /><div id="msg_error" class="more_left_2">Πρώτα πρέπει να εισάγετε χρήστες!</div>';
	echo "<script>setTimeout('window.location.href=\"insert_users.php\"', 2000)</script>";
}
html_footer();
?>